<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>CatalogResolver (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CatalogResolver (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CatalogResolver.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.Catalog.html" title="class in org.apache.commons.configuration2.resolver"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/resolver/CatalogResolver.html" target="_top">Frames</a></li>
<li><a href="CatalogResolver.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.resolver</div>
<h2 title="Class CatalogResolver" class="title">Class CatalogResolver</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.resolver.CatalogResolver</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CatalogResolver</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a></pre>
<div class="block">Thin wrapper around xml commons CatalogResolver to allow list of catalogs
 to be provided.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: CatalogResolver.java 1735895 2016-03-20 18:40:47Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
 href="http://commons.apache.org/configuration/team-list.html">Commons
 Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.Catalog.html" title="class in org.apache.commons.configuration2.resolver">CatalogResolver.Catalog</a></span></code>
<div class="block">Overrides the Catalog implementation to use the underlying FileSystem.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.CatalogManager.html" title="class in org.apache.commons.configuration2.resolver">CatalogResolver.CatalogManager</a></span></code>
<div class="block">Extend the CatalogManager to make the FileSystem and base directory accessible.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#CatalogResolver--">CatalogResolver</a></span>()</code>
<div class="block">Constructs the CatalogResolver</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#getLogger--">getLogger</a></span>()</code>
<div class="block">Returns the logger used by this configuration object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/InputSource.html?is-external=true" title="class or interface in org.xml.sax">InputSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#resolveEntity-java.lang.String-java.lang.String-">resolveEntity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicId,
             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemId)</code>
<div class="block">
 Implements the <code>resolveEntity</code> method
 for the SAX interface.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setBaseDir-java.lang.String-">setBaseDir</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;baseDir)</code>
<div class="block">Set the base path.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setCatalogFiles-java.lang.String-">setCatalogFiles</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalogs)</code>
<div class="block">Set the list of catalog file names</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setDebug-boolean-">setDebug</a></span>(boolean&nbsp;debug)</code>
<div class="block">Enables debug logging of xml-commons Catalog processing.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</code>
<div class="block">Set the FileSystem.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</code>
<div class="block">Set the <code>ConfigurationInterpolator</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</code>
<div class="block">Allows setting the logger to be used by this object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CatalogResolver--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CatalogResolver</h4>
<pre>public&nbsp;CatalogResolver()</pre>
<div class="block">Constructs the CatalogResolver</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setCatalogFiles-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCatalogFiles</h4>
<pre>public&nbsp;void&nbsp;setCatalogFiles(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalogs)</pre>
<div class="block">Set the list of catalog file names</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>catalogs</code> - The delimited list of catalog files.</dd>
</dl>
</li>
</ul>
<a name="setFileSystem-org.apache.commons.configuration2.io.FileSystem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileSystem</h4>
<pre>public&nbsp;void&nbsp;setFileSystem(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</pre>
<div class="block">Set the FileSystem.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileSystem</code> - The FileSystem.</dd>
</dl>
</li>
</ul>
<a name="setBaseDir-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBaseDir</h4>
<pre>public&nbsp;void&nbsp;setBaseDir(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;baseDir)</pre>
<div class="block">Set the base path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>baseDir</code> - The base path String.</dd>
</dl>
</li>
</ul>
<a name="setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterpolator</h4>
<pre>public&nbsp;void&nbsp;setInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</pre>
<div class="block">Set the <code>ConfigurationInterpolator</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ci</code> - the <code>ConfigurationInterpolator</code></dd>
</dl>
</li>
</ul>
<a name="setDebug-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebug</h4>
<pre>public&nbsp;void&nbsp;setDebug(boolean&nbsp;debug)</pre>
<div class="block">Enables debug logging of xml-commons Catalog processing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>debug</code> - True if debugging should be enabled, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="resolveEntity-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resolveEntity</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/InputSource.html?is-external=true" title="class or interface in org.xml.sax">InputSource</a>&nbsp;resolveEntity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicId,
                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemId)
                          throws <a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block"><p>
 Implements the <code>resolveEntity</code> method
 for the SAX interface.
 </p>
 <p>Presented with an optional public identifier and a system
 identifier, this function attempts to locate a mapping in the
 catalogs.</p>
 <p>If such a mapping is found, the resolver attempts to open
 the mapped value as an InputSource and return it. Exceptions are
 ignored and null is returned if the mapped value cannot be opened
 as an input source.</p>
 <p>If no mapping is found (or an error occurs attempting to open
 the mapped value as an input source), null is returned and the system
 will use the specified system identifier as if no entityResolver
 was specified.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true#resolveEntity-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax">resolveEntity</a></code>&nbsp;in interface&nbsp;<code><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>publicId</code> - The public identifier for the entity in question.
                 This may be null.</dd>
<dd><code>systemId</code> - The system identifier for the entity in question.
                 XML requires a system identifier on all external entities, so this
                 value is always specified.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An InputSource for the mapped identifier, or null.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code> - if an error occurs.</dd>
</dl>
</li>
</ul>
<a name="getLogger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogger</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;getLogger()</pre>
<div class="block">Returns the logger used by this configuration object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the logger</dd>
</dl>
</li>
</ul>
<a name="setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setLogger</h4>
<pre>public&nbsp;void&nbsp;setLogger(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</pre>
<div class="block">Allows setting the logger to be used by this object. This
 method makes it possible for clients to exactly control logging behavior.
 Per default a logger is set that will ignore all log messages. Derived
 classes that want to enable logging should call this method during their
 initialization with the logger to be used. Passing in <b>null</b> as
 argument disables logging.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>log</code> - the new logger</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CatalogResolver.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/resolver/CatalogResolver.Catalog.html" title="class in org.apache.commons.configuration2.resolver"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/resolver/CatalogResolver.html" target="_top">Frames</a></li>
<li><a href="CatalogResolver.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
